#include "testApp.h"

//--------------------------------------------------------------
void testApp::setup(){
  ofBackground(0, 0, 0);
  
  state = COMING_IN;
  
  for(int i = 0; i < 20; i++) {
    ofColor color1, color2, color3;
    color1.a = color2.a = color3.a = 32;
    
    color1.r = 225;
    color1.g = 45;
    color1.b = 45;
    
    color2.r = 240;
    color2.g = 240;
    color2.b = 240;
    
    color3.r = 45;
    color3.g = 225;
    color3.b = 45;
    
    words.push_back( new Word((i*18)*(PI/180.0), 100, color1, color2, color3) );
  }
  
  for(int i = 0; i < words.size(); i++) words[i]->rate = -0.1;
}

//--------------------------------------------------------------
void testApp::update(){
  switch(state) {
    case COMING_IN:
      if(words[0]->r <= 2.5) {
        nextTransition = ofGetElapsedTimeMillis() + 5000;
        state = HOLDING;
      }
      break;
      
    case HOLDING:
      if(ofGetElapsedTimeMillis() > nextTransition) {
        for(int i = 0; i < words.size(); i++) words[i]->rate = 0.1;
        state = GOING_OUT;
      }
      break;
      
    case GOING_OUT:
      break;
  }
  
  for(int i = 0; i < words.size(); i++) words[i]->update();
}

//--------------------------------------------------------------
void testApp::draw() {
  for(int i = 0; i < words.size(); i++) words[i]->draw();
}

//--------------------------------------------------------------
void testApp::keyPressed(int key){

}

//--------------------------------------------------------------
void testApp::keyReleased(int key){

}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){

}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mouseReleased(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::windowResized(int w, int h){

}

