#include "word.h"

Word::Word(float a, float r, ofColor color1, ofColor color2, ofColor color3) {
  this->a = a;
  this->r = r;
  this->font.loadFont("font.ttf", 128);
  
  this->word[0] = "ALG";
  this->word[1] = "ORI";
  this->word[2] = "THM";
  
  this->color[0] = color1;
  this->color[1] = color2;
  this->color[2] = color3;
  
  this->rate = 0;
}

void Word::update() {
  if(rate > 0) r += rate;
  if(r > 2.5 && rate < 0)    r += rate;
}

void Word::draw() {
  ofPushMatrix();
    ofTranslate(cos(a)*r, sin(a)*r, 0);
    ofTranslate(ofGetWidth()/2, ofGetHeight()/2, 0);
    ofTranslate( (-font.stringWidth(word[1])-60)/2, font.getLineHeight()/4, 0);
  
    ofSetColor(color[0].r, color[0].g, color[0].b, color[0].a);
    font.drawString(word[0], -font.stringWidth(word[0]), 0);
  
    ofSetColor(color[1].r, color[1].g, color[1].b, color[1].a);
    font.drawString(word[1], 10, 0);
  
    ofSetColor(color[2].r, color[2].g, color[2].b, color[2].a);
    font.drawString(word[2], 30 + font.stringWidth(word[1]), 0);
  ofPopMatrix();
}
